Bug 1148777 (CVE-2014-7283) - CVE-2014-7283 kernel: xfs: directory hash ordering denial of service
Summary: CVE-2014-7283 kernel: xfs: directory hash ordering denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-7283
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1148779
Blocks: 1148778
TreeView+ depends on / blocked
 
Reported: 2014-10-02 10:31 UTC by Martin Prpič
Modified: 2019-09-29 13:22 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the way the Linux kernel's XFS file system implementation ordered directory hashes under certain conditions. A local attacker could use this flaw to corrupt the file system by creating directories with colliding hash values, potentially resulting in a system crash.
Clone Of:
Environment:
Last Closed: 2014-12-02 17:10:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1943 normal SHIPPED_LIVE Moderate: kernel-rt security, bug fix, and enhancement update 2014-12-02 22:09:02 UTC

Description Martin Prpič 2014-10-02 10:31:17 UTC
A flaw was found in the way the xfs_da3_fixhashpath() function of the Linux kernel's XFS file system implementation ordered directory hashes under certain conditions. A local attacker could use this flaw to corrupt the file system by creating directories, potentially resulting in kernel panic.

Upstream fix:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=c88547a8119e3b581318ab65e9b72f27f23e641d

Reproducer:

http://oss.sgi.com/cgi-bin/gitweb.cgi?p=xfs/cmds/xfstests.git;a=blob;f=src/dirhash_collide.c;h=55cec872d5061ac2ca0f56d1f11e6bf349d5bb97;hb=947ee8bd4b59770534297572b14c695e9c6e001e

References:

http://seclists.org/oss-sec/2014/q4/28
http://marc.info/?l=linux-xfs&m=139590613002926&w=2

Comment 2 Petr Matousek 2014-10-02 10:54:52 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 and 7.

Comment 4 errata-xmlrpc 2014-12-02 17:09:21 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1943 https://rhn.redhat.com/errata/RHSA-2014-1943.html


Note You need to log in before you can comment on or make changes to this bug.